[Version]
Signature = "$CHICAGO$"
DEVTYPE_INI_FILE = 1
INI_ORDER        = 10

[Manufacturer]
Conexant = Conexant

[Conexant]
;;SW WR
Conexant = HdAud2072x, HDAUDIO\FUNC_01&VEN_14F1&DEV_50F4&SUBSYS_103C8080 
Conexant = HdAud2072x, HDAUDIO\FUNC_01&VEN_14F1&DEV_50F4&SUBSYS_103C8081 
Conexant = HdAud2072x, HDAUDIO\FUNC_01&VEN_14F1&DEV_50F4&SUBSYS_103C8082 
Conexant = HdAud2072x, HDAUDIO\FUNC_01&VEN_14F1&DEV_50F4&SUBSYS_103C8083 
Conexant = HdAud2072x, HDAUDIO\FUNC_01&VEN_14F1&DEV_50F4&SUBSYS_103C8086 
Conexant = HdAud2072x, HDAUDIO\FUNC_01&VEN_14F1&DEV_50F4&SUBSYS_103C8087 
Conexant = HdAud2072x, HDAUDIO\FUNC_01&VEN_14F1&DEV_50F4&SUBSYS_103C815B 
Conexant = HdAud2072x, HDAUDIO\FUNC_01&VEN_14F1&DEV_50F4&SUBSYS_103C815C 

Conexant = HdAud2075x, INTELAUDIO\FUNC_01&VEN_14F1&DEV_50F4&SUBSYS_103C80FA  
Conexant = HdAud2072xAD, INTELAUDIO\FUNC_01&VEN_14F1&DEV_50F4&SUBSYS_103C8171 
Conexant = HdAud2072xAD, INTELAUDIO\FUNC_01&VEN_14F1&DEV_50F4&SUBSYS_103C8172 
Conexant = HdAud2075xAD, INTELAUDIO\FUNC_01&VEN_14F1&DEV_50F4&SUBSYS_103C80D5 
Conexant = HdAud2075xAD, INTELAUDIO\FUNC_01&VEN_14F1&DEV_50F4&SUBSYS_103C80F7 
Conexant = HdAud2075xAD, INTELAUDIO\FUNC_01&VEN_14F1&DEV_50F4&SUBSYS_103C810A 
Conexant = HdAud2075xAD, INTELAUDIO\FUNC_01&VEN_14F1&DEV_50F4&SUBSYS_103C80D6 
Conexant = HdAud2075xAD, INTELAUDIO\FUNC_01&VEN_14F1&DEV_50F4&SUBSYS_103C80F8 
Conexant = HdAud2075xAD, INTELAUDIO\FUNC_01&VEN_14F1&DEV_50F4&SUBSYS_103C8109 

Conexant = HdAud2075xAD, HDAUDIO\FUNC_01&VEN_14F1&DEV_50F4&SUBSYS_103C80D5 
Conexant = HdAud2075xAD, HDAUDIO\FUNC_01&VEN_14F1&DEV_50F4&SUBSYS_103C80F7 
Conexant = HdAud2075xAD, HDAUDIO\FUNC_01&VEN_14F1&DEV_50F4&SUBSYS_103C810A 
Conexant = HdAud2075xAD, HDAUDIO\FUNC_01&VEN_14F1&DEV_50F4&SUBSYS_103C80D6 
Conexant = HdAud2075xAD, HDAUDIO\FUNC_01&VEN_14F1&DEV_50F4&SUBSYS_103C80F8 
Conexant = HdAud2075xAD, HDAUDIO\FUNC_01&VEN_14F1&DEV_50F4&SUBSYS_103C8109 

; GPIO WR with E+D config
Conexant = HdAud2075xGP, HDAUDIO\FUNC_01&VEN_14F1&DEV_50F4&SUBSYS_103C813F 
Conexant = HdAud2075xGP, HDAUDIO\FUNC_01&VEN_14F1&DEV_50F4&SUBSYS_103C8140 
Conexant = HdAud2075xGP, HDAUDIO\FUNC_01&VEN_14F1&DEV_50F4&SUBSYS_103C8141 
Conexant = HdAud2075xGP, HDAUDIO\FUNC_01&VEN_14F1&DEV_50F4&SUBSYS_103C8142 

Conexant = HdAud2075xGP, HDAUDIO\FUNC_01&VEN_14F1&DEV_50F4&SUBSYS_103C80FD 
Conexant = HdAud2075xGP, HDAUDIO\FUNC_01&VEN_14F1&DEV_50F4&SUBSYS_103C8125  
Conexant = HdAud2075xGP, HDAUDIO\FUNC_01&VEN_14F1&DEV_50F4&SUBSYS_103C8126  
Conexant = HdAud2075xGP, HDAUDIO\FUNC_01&VEN_14F1&DEV_50F4&SUBSYS_103C8127  
Conexant = HdAud2075xGP, HDAUDIO\FUNC_01&VEN_14F1&DEV_50F4&SUBSYS_103C8128  
Conexant = HdAud2075xGP, HDAUDIO\FUNC_01&VEN_14F1&DEV_50F4&SUBSYS_103C8129  
Conexant = HdAud2075xGP, HDAUDIO\FUNC_01&VEN_14F1&DEV_50F4&SUBSYS_103C812A  
Conexant = HdAud2075xGP, HDAUDIO\FUNC_01&VEN_14F1&DEV_50F4&SUBSYS_103C812B  
Conexant = HdAud2075xGPSST, INTELAUDIO\FUNC_01&VEN_14F1&DEV_50F4&SUBSYS_103C80FD 
Conexant = HdAud2075xGPSST, INTELAUDIO\FUNC_01&VEN_14F1&DEV_50F4&SUBSYS_103C8125  
Conexant = HdAud2075xGPSST, INTELAUDIO\FUNC_01&VEN_14F1&DEV_50F4&SUBSYS_103C8126  
Conexant = HdAud2075xGPSST, INTELAUDIO\FUNC_01&VEN_14F1&DEV_50F4&SUBSYS_103C8127  
Conexant = HdAud2075xGPSST, INTELAUDIO\FUNC_01&VEN_14F1&DEV_50F4&SUBSYS_103C8128  
Conexant = HdAud2075xGPSST, INTELAUDIO\FUNC_01&VEN_14F1&DEV_50F4&SUBSYS_103C8129  
Conexant = HdAud2075xGPSST, INTELAUDIO\FUNC_01&VEN_14F1&DEV_50F4&SUBSYS_103C812A  
Conexant = HdAud2075xGPSST, INTELAUDIO\FUNC_01&VEN_14F1&DEV_50F4&SUBSYS_103C812B  

Conexant = HdAud2075xGP, HDAUDIO\FUNC_01&VEN_14F1&DEV_50F4&SUBSYS_103C807C 
Conexant = HdAud2075xGP, HDAUDIO\FUNC_01&VEN_14F1&DEV_50F4&SUBSYS_103C8151 
Conexant = HdAud2075xGPSST, INTELAUDIO\FUNC_01&VEN_14F1&DEV_50F4&SUBSYS_103C807C 
Conexant = HdAud2075xGPSST, INTELAUDIO\FUNC_01&VEN_14F1&DEV_50F4&SUBSYS_103C8151 

Conexant = HdAud2075xGP, HDAUDIO\FUNC_01&VEN_14F1&DEV_50F4&SUBSYS_103C8079 
Conexant = HdAud2075xGP, HDAUDIO\FUNC_01&VEN_14F1&DEV_50F4&SUBSYS_103C814C 
Conexant = HdAud2075xGP, HDAUDIO\FUNC_01&VEN_14F1&DEV_50F4&SUBSYS_103C814D 
Conexant = HdAud2075xGP, HDAUDIO\FUNC_01&VEN_14F1&DEV_50F4&SUBSYS_103C814E 
Conexant = HdAud2075xGP, HDAUDIO\FUNC_01&VEN_14F1&DEV_50F4&SUBSYS_103C814F 
Conexant = HdAud2075xGP, HDAUDIO\FUNC_01&VEN_14F1&DEV_50F4&SUBSYS_103C8150 
Conexant = HdAud2075xGPSST, INTELAUDIO\FUNC_01&VEN_14F1&DEV_50F4&SUBSYS_103C8079 
Conexant = HdAud2075xGPSST, INTELAUDIO\FUNC_01&VEN_14F1&DEV_50F4&SUBSYS_103C814C 
Conexant = HdAud2075xGPSST, INTELAUDIO\FUNC_01&VEN_14F1&DEV_50F4&SUBSYS_103C814D 
Conexant = HdAud2075xGPSST, INTELAUDIO\FUNC_01&VEN_14F1&DEV_50F4&SUBSYS_103C814E 
Conexant = HdAud2075xGPSST, INTELAUDIO\FUNC_01&VEN_14F1&DEV_50F4&SUBSYS_103C814F 
Conexant = HdAud2075xGPSST, INTELAUDIO\FUNC_01&VEN_14F1&DEV_50F4&SUBSYS_103C8150 

Conexant = HdAud2075xGP, HDAUDIO\FUNC_01&VEN_14F1&DEV_50F4&SUBSYS_103C80FB
Conexant = HdAud2075xGPSST, INTELAUDIO\FUNC_01&VEN_14F1&DEV_50F4&SUBSYS_103C80FB 

; GPIO WR with A+D config
Conexant = HdAud2075xGPAD, HDAUDIO\FUNC_01&VEN_14F1&DEV_50F4&SUBSYS_103C80D3 
Conexant = HdAud2075xGPAD, HDAUDIO\FUNC_01&VEN_14F1&DEV_50F4&SUBSYS_103C80D4  
Conexant = HdAud2075xGPAD, HDAUDIO\FUNC_01&VEN_14F1&DEV_50F4&SUBSYS_103C8108  
Conexant = HdAud2075xGPADSST, INTELAUDIO\FUNC_01&VEN_14F1&DEV_50F4&SUBSYS_103C80D3  
Conexant = HdAud2075xGPADSST, INTELAUDIO\FUNC_01&VEN_14F1&DEV_50F4&SUBSYS_103C80D4  
Conexant = HdAud2075xGPADSST, INTELAUDIO\FUNC_01&VEN_14F1&DEV_50F4&SUBSYS_103C8108  

Conexant = HdAud2075xGPAD, HDAUDIO\FUNC_01&VEN_14F1&DEV_2008&SUBSYS_103C81A0 

Conexant = HdAud2075xInv, HDAUDIO\FUNC_01&VEN_14F1&DEV_50F4&SUBSYS_103C80FC 
Conexant = HdAud2075xInvSST, INTELAUDIO\FUNC_01&VEN_14F1&DEV_50F4&SUBSYS_103C80FC  

[HdAud2072x]
AddReg = ForceDetect.AddReg

[ForceDetect.AddReg]                          
HKLM,%OverrideVerbsPath%,10, 0x00010001, 0x01C3C100                    
HKLM,%OverrideVerbsPath%,11, 0x00010001, 0x01C4F071                                      
HKR,Settings\OEM,HSDetectionData,1,01,1D,19,00  ;;Force redetection for E+D

[HdAud2072xAD]
AddReg = ForceDetectAD.AddReg

[ForceDetectAD.AddReg]                          
HKLM,%OverrideVerbsPath%,10, 0x00010001, 0x01C3C100                    
HKLM,%OverrideVerbsPath%,11, 0x00010001, 0x01C4F071                                     
HKLM,%OverrideVerbsPath%,12, 0x00010001, 0x01C23000                    
HKLM,%OverrideVerbsPath%,13, 0x00010001, 0x01C4C284 ;;Normal close jack                              
HKR,Settings\OEM,ManualJackDetInfo,1,01,16,19,00  ;;Force redetection for A+D

[HdAud2075xAD]
AddReg = ManualJackDetAD.AddReg

[ManualJackDetAD.AddReg]                          
HKLM,%OverrideVerbsPath%,10, 0x00010001, 0x01C3C100                    
HKLM,%OverrideVerbsPath%,11, 0x00010001, 0x01C4F071                                     
HKLM,%OverrideVerbsPath%,12, 0x00010001, 0x01C4C084                                     
HKR,Settings\OEM,ManualJackDetInfo,1,01,16,19,00  ;;Force redetection for A+D

[HdAud2075x]
AddReg = ForceBiasD.AddReg

[ForceBiasD.AddReg]                          
HKLM,%OverrideVerbsPath%,10, 0x00010001, 0x01C23000                    
HKLM,%OverrideVerbsPath%,11, 0x00010001, 0x01C3C100                    
HKLM,%OverrideVerbsPath%,12, 0x00010001, 0x01C4F071                                      
HKLM,%OverrideVerbsPath%,13, 0x00010001, 0x01C4C084                                      
HKR,Settings\OEM,ManualJackDetInfo,1,01,1D,19,00  ;;Force redetection for E+D

[HdAud2075xGPAD]
AddReg = ForceDetectGPAD.AddReg

[ForceDetectGPAD.AddReg]                                         
HKLM,%OverrideVerbsPath%,30, 0x00010001, 0x01C4E100                                   
HKR,Settings\OEM,GPIOJackDetInfo,1,01,05,16,19 ;;GPIO detection for A+D

[HdAud2075xGPADSST]
AddReg = ForceDetectGPADSST.AddReg

[ForceDetectGPADSST.AddReg]                                         
HKLM,%OverrideVerbsPath%,30, 0x00010001, 0x01C4E100                                   
HKR,Settings\OEM,GPIOJackDetInfo,1,01,05,16,19 ;;GPIO detection for A+D
HKR,Settings\OEM,ManualJackDetInfo,1,01,16,19,00  ;;Force redetection for A+D

[HdAud2075xGP]
AddReg = ForceDetectGP.AddReg

[ForceDetectGP.AddReg]                                         
HKLM,%OverrideVerbsPath%,30, 0x00010001, 0x01C4E000                                       
HKR,Settings\OEM,GPIOJackDetInfo,1,01,05,1D,19 ;;GPIO detection for E+D

[HdAud2075xGPSST]
AddReg = ForceDetectGPSST.AddReg

[ForceDetectGPSST.AddReg]                                         
HKLM,%OverrideVerbsPath%,30, 0x00010001, 0x01C4E000                                       
HKR,Settings\OEM,GPIOJackDetInfo,1,01,05,1D,19 ;;GPIO detection for E+D
HKR,Settings\OEM,ManualJackDetInfo,1,01,1D,19,00  ;;Force redetection for E+D

[HdAud2075xInv]
AddReg = HdAud2075xInv.AddReg

[HdAud2075xInv.AddReg]                                         
;IntMic Inverse
HKLM,%OverrideVerbsPath%,12, 0x00010001, 0x01470c04                   
HKR,Settings\OEM,GPIOJackDetInfo,1,01,05,16,19 ;;GPIO detection for A+D

[HdAud2075xInvSST]
AddReg = HdAud2075xInvSST.AddReg

[HdAud2075xInvSST.AddReg]                                         
;IntMic Inverse
HKLM,%OverrideVerbsPath%,12, 0x00010001, 0x01470c04                   
HKR,Settings\OEM,GPIOJackDetInfo,1,01,05,16,19 ;;GPIO detection for A+D
HKR,Settings\OEM,ManualJackDetInfo,1,01,16,19,00  ;;Force redetection for A+D



[Strings]
OverrideVerbsPath="System\CurrentControlSet\Control\Conexant\OverrideVerbs"
HWEQVerbsPath="System\CurrentControlSet\Control\Conexant\HWEQVerbs"
RemVerbsPath="System\CurrentControlSet\Control\Conexant\RemVerbs"
EPattributePath="Settings\EPattributes"
